version: '3.9'

services:

  reverse-proxy:
    image: mpai-reverse-proxy
    build: ./reverse-proxy
    ports:
      - "${PROXY_PORT}:80"

  # audio-analyzer:
  #   image: mpai-audio-analyzer
  #   build: ./eq_detection
  #   command: bash -c "poetry run python -u src/cli/app.py -i /data/input -d /data/output > /var/log/audio-analyzer/stdout.log 2> /var/log/audio-analyzer/stderr.log"
  #   volumes:
  #     - ${DATA_VOLUME}:/data
  #     - ${LOGS_VOLUME}/audio-analyzer:/var/log/audio-analyzer

  # video-analyzer:
  #   image: mpai-video-analyzer
  #   build: ./video-analyzer
  #   volumes:
  #     - ${DATA_VOLUME}:/data
  #     - ${LOGS_VOLUME}/video-analyzer:/var/log/video-analyzer

  tape-irregularity-classifier:
    image: mpai-tape-irregularity-classifier
    build: ./tape-irregularity-classifier
    volumes:
      - ${DATA_VOLUME}:/data
      - ${LOGS_VOLUME}/tape-irregularity-classifier:/var/log/tape-irregularity-classifier

  tape-audio-restoration:
    image: mpai-tape-audio-restoration
    build: ./tape-audio-restoration
    volumes:
      - ${DATA_VOLUME}:/data
      - ${LOGS_VOLUME}/tape-audio-restoration:/var/log/tape-audio-restoration

  packager:
    image: mpai-packager
    build: ./packager
    volumes:
      - ${DATA_VOLUME}:/data
      - ${LOGS_VOLUME}/packager:/var/log/packager

volumes:
  data:
